check if base redist class makes sense

03/08/2013 05:47 PM - Joerg Behrens

Status: Closed Start date: 03/08/2013

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

if there is enough common functionality within the current redist variations then we should derive them from a base class

History

#1 - 04/17/2013 01:45 PM - Moritz Hanke

- Status changed from New to Closed

xt_redist_collection_static, xt_redist_p2p and xt_redist_repeat now all use the redist base class xt_redist_single_array_base, which implements all

routines of redist vtable

xt_redist_single_array_base and xt_redist_collection now use xt_redist_s_exchange_internal to execute the actual data exchange
